Bug 1040650 - ValueError: invalid target size request
ValueError: invalid target size request
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:4bb820c21e3cdf50c33d94ad191...
:
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-12-11 14:24 EST by Adam Williamson
Modified: 2013-12-13 00:34 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.25.15-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 00:34:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (459.47 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: anaconda.log (11.25 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: environ (508 bytes, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: journalctl (160.39 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: lsblk_output (2.64 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: nmcli_dev_list (4.33 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: os_info (375 bytes, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: program.log (45.43 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: storage.log (201.05 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
File: ifcfg.log (1.77 KB, text/plain)
2013-12-11 14:24 EST, Adam Williamson
no flags Details
anaconda-tb for comment 14 (917.25 KB, text/plain)
2013-12-11 16:06 EST, Kamil Páral
no flags Details

  None (edit)
Description Adam Williamson 2013-12-11 14:24:04 EST
Description of problem:
Testing https://bugzilla.redhat.com/show_bug.cgi?id=1040012 with http://vpodzime.fedorapeople.org/f20_blockers_updates.img . Selected a partition with a known problematic size ('500MB' from gnome-disks), set to resize it to the smallest size anaconda would allow, which was marked on the slider as '15.4MB' even though I thought the patch was supposed to drop any floats. Began install, crash happened.

Version-Release number of selected component:
anaconda-20.25.14-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.25.14-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/blivet/formats/fs.py", line 204, in _setTargetSize
    raise ValueError("invalid target size request")
  File "/tmp/updates/blivet/deviceaction.py", line 597, in __init__
    self.device.format.targetSize = newsize
  File "/tmp/updates/blivet/__init__.py", line 1253, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/tmp/updates/pyanaconda/ui/gui/spokes/lib/resize.py", line 392, in _scheduleActions
    self.storage.resizeDevice(device, obj.target)
ValueError: invalid target size request

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=20131210-pretc6-desktop-x86_64 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 inst.updates=http://vpodzime.fedorapeople.org/f20_blockers_updates.img BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20
Comment 1 Adam Williamson 2013-12-11 14:24:06 EST
Created attachment 835446 [details]
File: anaconda-tb
Comment 2 Adam Williamson 2013-12-11 14:24:08 EST
Created attachment 835447 [details]
File: anaconda.log
Comment 3 Adam Williamson 2013-12-11 14:24:09 EST
Created attachment 835448 [details]
File: environ
Comment 4 Adam Williamson 2013-12-11 14:24:11 EST
Created attachment 835449 [details]
File: journalctl
Comment 5 Adam Williamson 2013-12-11 14:24:13 EST
Created attachment 835450 [details]
File: lsblk_output
Comment 6 Adam Williamson 2013-12-11 14:24:14 EST
Created attachment 835451 [details]
File: nmcli_dev_list
Comment 7 Adam Williamson 2013-12-11 14:24:16 EST
Created attachment 835452 [details]
File: os_info
Comment 8 Adam Williamson 2013-12-11 14:24:17 EST
Created attachment 835453 [details]
File: program.log
Comment 9 Adam Williamson 2013-12-11 14:24:19 EST
Created attachment 835454 [details]
File: storage.log
Comment 10 Adam Williamson 2013-12-11 14:24:20 EST
Created attachment 835455 [details]
File: ifcfg.log
Comment 11 Kamil Páral 2013-12-11 14:28:12 EST
Reproduced bug 1040650 per comment 0.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-TC rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  inst.updates=http://vpodzime.fedorapeople.org/f20_blockers_updates.img BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.x86_64
package:        anaconda-20.25.14-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         ValueError: invalid target size request
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 12 Adam Williamson 2013-12-11 14:31:13 EST
A very similar crash happens without vpodzime's fixes, so at least they haven't made things any _worse_. If I create a 512MB partition instead (so I don't hit #1040012 ) and try resizing it to the smallest size possible without using the updates image, I get a similar crash - still 'invalid target size request', but instead of 15, the target size is 15.3999996185 .
Comment 13 Mike Ruckman 2013-12-11 15:06:06 EST
Discussed in 2013-12-11 Blocker Review Meeting [1]. Voted as an AcceptedBlocker. We're worried that this happens not only for empty partitions, but also for somewhat filled partitions shrunk to minimal size, which violates beta criteria "Custom partitioning: Reject or disallow invalid disk and volume configurations without crashing." [2] If the developers are certain this is not true, the status can be re-evaluated.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-11/
[2] https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Custom_partitioning
Comment 14 Kamil Páral 2013-12-11 16:04:56 EST
I was trying to reproduce bug 1040650 with a non-empty partition. It seems that the reclaim dialog allows you to set the minimal size to an integer value if the size is above .5 (e.g. for 267.8 MB you can set only 268 MB on the slider), but you can set fraction values for sizes below .5 (you can set e.g. 267.4 MB on the slider). When I set this minimal size on an non-empty partition (while using updates.img from the referenced bug) and confirmed Reclaim Space, anaconda crashes immediately. That is different from the crash on empty partition, which crashed during installation phase.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-TC rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 inst.updates=http://vpodzime.fedorapeople.org/f20_blockers_updates.img BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-300.fc20.x86_64
package:        anaconda-20.25.14-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         ValueError: invalid target size request
release:        Fedora release 20 (Heisenbug)
version:        20
Comment 15 Kamil Páral 2013-12-11 16:06:33 EST
Created attachment 835475 [details]
anaconda-tb for comment 14
Comment 17 Fedora Update System 2013-12-11 17:48:54 EST
anaconda-20.25.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.15-1.fc20
Comment 18 Kamil Páral 2013-12-12 04:30:48 EST
This seems to work well with F20 RC1. I can no longer select fractions in the reclaim dialog, and the minimal size seems to work well.
Comment 19 Fedora Update System 2013-12-13 00:34:27 EST
anaconda-20.25.15-1.fc20, python-blivet-0.23.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.